


	uniform float Trans, Ypos;
	void main()
	{	


					

		   		gl_TexCoord[0] = gl_MultiTexCoord0;
	
		
vec4 v = vec4(gl_Vertex);		
float Value=(v.y-Ypos)*0.06;

float Trans2 =Trans+v.x*7.0 + v.y + v.z*2.0;
v.x += sin(Trans2*0.5 )*Value;
v.z += cos(Trans2*0.1 )*Value;
		
		gl_Position = gl_ModelViewProjectionMatrix * v;
	} 